Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixinInstanceMetaProperty

- org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaProperty

- MetaProperty for mixed in classes

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInstanceMetaProperty (MetaProperty property, MixinInMetaClass mixinInMetaClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaBeanProperty` | `getField, getGetter, getModifiers, getProperty, getSetter, setField, setProperty`
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)